## iucode-tool 0.8.3

=== debian/changelog ===
iucode-tool (0.8.3-2~bpo60+1) squeeze-backports; urgency=medium

  * Rebuild for squeeze-backports (no changes required)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 06 Jan 2015 13:37:35 -0200

iucode-tool (0.8.3-2) stable; urgency=medium

  * cherry-pick fixes from upstream v1.1.1
    * Add eight new patches cherry-picked from upstream iucode-tool
      version 1.1.1, fixing several issues found by Coverity scan,
      including one for an out-of-bounds array write to the heap:
      + 0001-iucode_tool-cosmetic-fix-for-CID-72168.patch
      + 0002-iucode_tool-cosmetic-fix-for-CID-72166.patch
      + 0003-iucode_tool-avoid-closing-already-closed-file-handle.patch
      + 0004-iucode_tool-simplify-fd-tracking-in-scan_system_proc.patch
      + 0005-iucode_tool-cosmetic-fix-for-CID-72164.patch
      + 0006-iucode_tool-fix-memory-leak-in-load_intel_microcode_.patch
      + 0007-iucode_tool-rework-error-path-of-load_intel_microcod.patch
      + 0008-iucode_tool-fix-out-of-bounds-array-access-in-load_i.patch

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 30 Nov 2014 16:28:33 -0200

iucode-tool (0.8.3-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to Squeeze: no changes required

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 27 Aug 2012 21:33:11 -0300

iucode-tool (0.8.3-1) unstable; urgency=low

  * New upstream release
    + Fix regression introduced in 0.8.2 that caused all microcodes
      to be selected by --scan-system on a box with unsupported
      processors (e.g. non-Intel)
    + Update README: Intel has some microcode update information in
      some public processor specification update documents

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 26 Aug 2012 18:38:54 -0300

iucode-tool (0.8.2-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to Squeeze: no changes required

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 29 Jul 2012 19:32:17 -0300

iucode-tool (0.8.2-1) unstable; urgency=low

  * New upstream release
    + Update documentation and manpages for the new microcode
      update interface in Linux v3.6.
    + Fail safe when --scan-system cannot access the cpuid driver:
      instead of not selecting anything, still select all microcodes
      if no other microcode selection option was used (closes: #683178)
  * debian/control: add X-Vcs-* fields

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 29 Jul 2012 10:06:35 -0300

iucode-tool (0.8.1-1) unstable; urgency=low

  * New upstream release
    + inform user with an error message if cpuid driver is missing, and
      --scan-system was requested
    + manpage updates

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 24 Jul 2012 11:53:05 -0300

iucode-tool (0.8-1) unstable; urgency=low

  * Initial public release (closes: #611133)
    + Reduced functionality release, we need the tool in the archive for
      bootstrapping, as it will become a build-dependency of the intel-microcode
      package

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 07 Jun 2012 12:57:37 -0300
