## iucode-tool 1.0

=== debian/changelog ===
iucode-tool (1.0-1) unstable; urgency=low

  * New upstream release
    + Add verbose title to manpage iucode_tool(8)
    + Add support to write an early initramfs archive for Linux v3.9
  * install iucode-tool symlinks to iucode_tool (closes: #689128)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 25 May 2013 13:40:57 -0300

iucode-tool (0.9-1) unstable; urgency=low

  * New upstream release
    + Document missing -W, --write-named option in iucode_tool(8)
      manpage (closes: #687963)
    + Print the number of unique signatures in verbose mode
    + Add loose date-based filtering (--loose-date-filtering option),
      which is useful when trying to select microcode for very old
      processors
    + Skip empty files and directories instead of aborting with an
      error
    + Add an option to default to an empty selection (-s!)
    + Ensure that microcodes with the same metadata have the same
      opaque data (payload) when in --strict-checks mode (default)
  * Update debian/copyright to match upstream's

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 28 Mar 2013 23:48:48 -0300
