## iucode-tool 1.0.1

=== debian/changelog ===
iucode-tool (1.0.1-1) unstable; urgency=low

  * New upstream maintenance release
    + Fix several cosmetic code issues
    + Manpage updates
      + Make it clear that the output order of microcodes is not stabilized
      + Make it clear that iucode_tool always break links when writing a
        data file, and that it doesn't replace files atomically, so they
        can get corrupted/lost if iucode-tool is interrupted while writing
      + Reword several notes for better readability
    + Use openat() when loading from a directory and when creating files in
      a directory.  Thus, iucode-tool will read/write to the same directory
      even while racing another process that is trying to rename it while
      iucode-tool is already running

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 14 Dec 2013 21:01:41 -0200
