=== debian/control ===
Source: iucode-tool
Section: contrib/utils
Priority: optional
Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, automake (>= 1:1.10), autoconf (>= 2.61)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/users/hmh/iucode-tool.git
Vcs-Browser: http://git.debian.org/?p=users/hmh/iucode-tool.git

Package: iucode-tool
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: intel-microcode (>= 1)
Description: Intel processor microcode tool
 iucode_tool is a program to manipulate Intel® X86 and X86-64 processor
 microcode collections, and to use the kernel facilities to upgrade the
 microcode on Intel system processors.
 .
 It can load microcode data files in text and binary format, sort, list and
 filter the microcodes contained in these files, write selected microcodes to a
 new file in binary format, or upload them to the kernel.
 .
 It operates on non-free microcode data downloaded directly from Intel or
 installed by the intel-microcode package.
