## iucode-tool 1.0.3

=== debian/changelog ===
iucode-tool (1.0.3-1~ubuntu12.04.1) precise-backports; urgency=medium

  * No-change backport to precise (LP: #1361340)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 25 Aug 2014 21:38:04 +0100

iucode-tool (1.0.3-1) unstable; urgency=medium

  * New upstream release
    + Properly check microcode metadata date to be valid packed BCD in
      strict mode
    + Do not assume a non-zero microcode Total Size field to be valid, it
      is valid only when the Data Size field is non-zero.  Fortunately,
      Intel always set reserved fields to zero on released microcode, so
      this bug was never (and is unlikely to ever be) triggered
    + Linux kernel bug workaround: when generating the early initramfs
      archive, append NULs to the microcode data file name to pad the
      start of the microcode data inside the initramfs archive to a
      16-byte boundary.  Document this issue on the manpage, the
      workaround is only effective if the start of our early initramfs
      cpio segment is 16-byte aligned in the final initramfs archive
    + Fix several cosmetic and minor code issues
    + Manpage fixes and enhancements
  * debian/control: add debian/master branch information to Vcs-Git field
  * debian/control: bump standards-version to 3.9.5

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 12 Aug 2014 08:22:07 -0300

iucode-tool (1.0.2-1) unstable; urgency=low

  * New upstream maintenance release
    + Mention iucode-tool's new home at gitorious in documentation
    + Warn user when --scan-system fails due to errors such as a lack
      of permission to access the cpuid devices
    + Use the libc optimized memcmp() to compare microcode
    + Minor manpage updates
    + --strict-checks now verifies that the microcode update date
      is not utterly insane
  * debian/control: update for new upstream location at Gitorious

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 10 May 2014 18:35:36 -0300
