=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, automake (>= 1:1.10), autoconf (>= 2.61)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/users/hmh/iucode-tool.git
-Vcs-Browser: http://git.debian.org/?p=users/hmh/iucode-tool.git
+Standards-Version: 3.9.5
+Homepage: https://gitorious.org/iucode-tool/pages/Home
+Vcs-Git: git://gitorious.org/iucode-tool/iucode-tool.git -b debian/master
+Vcs-Browser: https://gitorious.org/iucode-tool/iucode-tool
 
 Package: iucode-tool
 Architecture: i386 amd64
