## iucode-tool 1.1.1

=== debian/changelog ===
iucode-tool (1.1.1-1) unstable; urgency=medium

  * New upstream release
    + Fix issues found by the Coverity static checker:
    + CID 72165: An off-by-one error caused an out-of-bounds write to a
      buffer while loading large microcode data files in ascii format
    + CID 72163: The code could attempt to close an already closed file
      descriptor in certain conditions when processing directories
    + CID 72161: Stop memory leak in error path when loading microcode
      data files
    + CID 72159, 72164, 72166, 72167, 72168, 72169: Cosmetic issues
      that could not cause problems at runtime
  * debian/control: bump standards version to 3.9.6

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 28 Oct 2014 17:02:42 -0200

iucode-tool (1.1-1) unstable; urgency=medium

  * New upstream release
    + Don't output duplicates for microcodes with extended signatures
      to the same file or to the kernel
    + When writing an early initramfs, pad its trailer with zeros to
      the next 1024-byte boundary.  This is done so that the next
      initramfs segment will be better aligned, just in case.  The
      entire cpio medatada overhead is now exactly 1024 bytes
    + Manpage style fixes: use iucode_tool consistently, groff formatting
    + Refuse to load ridiculously large data files (limit set to 1GiB)
  * debian/lintian-override: override hyphen-used-as-minus-sign
    as iucode-tool(8) now uses proper groff hyphens, but not in
    a way the lintian test can detect.
  * debian/rules: remove autoconf-1.14 autogenerated files on clean

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 12 Sep 2014 08:54:33 -0300
