=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, automake (>= 1:1.10), autoconf (>= 2.61)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://gitorious.org/iucode-tool/pages/Home
 Vcs-Git: git://gitorious.org/iucode-tool/iucode-tool.git -b debian/master
 Vcs-Browser: https://gitorious.org/iucode-tool/iucode-tool
