## iucode-tool 1.3

=== debian/changelog ===
iucode-tool (1.3-1) unstable; urgency=medium

  * New upstream release
    + Make it safe to call iucode_tool with stdout and/or stderr closed
    + Ignore multiple attempts to read microcode data from stdin, as all
      data will have been read by the first attempt
    + Document in the manpage the arbritray maximum limit of 1GiB worth of
      binary data per microcode data file.  The other limits are too large
      to bother documenting
    + Microcode data file loader fixes and enhancements:
      + Improve IO error detection
      + Print the line number when reporting .dat parsing errors
      + Allow comments after valid data for .dat files, previously they
        had to be on a line of their own
      + Rework the .dat parser to make it less convoluted, and optimize it
        for the exact .dat file layout Intel has been using in the last 15
        years
    + Minor build fixes

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 24 May 2015 19:31:23 -0300

iucode-tool (1.2.1-1) experimental; urgency=low

  * New upstream release
    + Upstream moved to https://gitlab.com/iucode-tool
    + Manpage fixes and updates
    + Flush stdout properly to not mix output with stderr
    + Improve command line parser error messages
  * control: update URL fields for the new upstream location

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 29 Mar 2015 20:53:03 -0300

iucode-tool (1.2-2) experimental; urgency=low

  * control: enable building on x32 (closes: #777232)
  * debian/copyright: update copyright notices

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 17 Feb 2015 20:34:12 -0200

iucode-tool (1.2-1) experimental; urgency=low

  * New upstream release
    + Documentation updates
    + iucode_tool: use the cpuid instruction directly to implement
      --scan-system.  This fixes an scalability issue in systems
      with many processors.
  * Target experimental due to Debian jessie freeze

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 14 Feb 2015 13:39:16 -0200
