## iucode-tool 1.5.1

=== debian/changelog ===
iucode-tool (1.5.1-1) unstable; urgency=medium

  * New upstream release
    + several fixes for the "downgrade mode", including one for a bug
      that would cause iucode_tool to enter an infinite loop
    + document downgrade mode limitations in the manpage
    + other minor fixes

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 13 Feb 2016 20:21:12 -0200

iucode-tool (1.5-1) unstable; urgency=medium

  * New upstream release
    + There is a new option to write out microcodes, capable of writing
      out every revision of every microcode: --write-all-named-to.  All
      other write out options will only output a single revision of a
      microcode
    + iucode_tool(8): fix parameter name of --write-named-to.
    + iucode_tool(8): add two examples for the recovery loader (-tr)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 16 Oct 2015 23:41:35 -0300

iucode-tool (1.4-1) unstable; urgency=medium

  * New upstream release
    + Implement a microcode recover mode (-tr) for the binary loader,
      which searches for valid microcode(s) inside a generic (binary)
      data file of unknown format
    + Report empty data files using ENOENT instead of EINVAL in the
      low-level loader functions.  This is can happen to non-empty files
      in the -tr and -td loaders, as well as when reading an empty file
      from stdin, FIFO, pipe, character device, etc.
    + Notify the user when we fail to find any microcode in a data file
      when the low-level loader returns ENOENT, and continue processing
      in that case
    + In -vv mode, print a message before reading a file, and also when
      skipping empty files or reading a directory
    + Fix spelling of default-firmware-dir option in configure,
      thanks to Timo Gurr for the report and fix
    + Replace "deselect" with "unselect" in the manpage text

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 03 Oct 2015 13:34:12 -0300
