=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, automake (>= 1:1.10), autoconf (>= 2.61)
 Standards-Version: 3.9.6
-Homepage: https://gitorious.org/iucode-tool/pages/Home
-Vcs-Git: git://gitorious.org/iucode-tool/iucode-tool.git -b debian/master
-Vcs-Browser: https://gitorious.org/iucode-tool/iucode-tool
+Homepage: https://gitlab.com/iucode-tool
+Vcs-Git: https://gitlab.com/iucode-tool/iucode-tool.git -b debian/master
+Vcs-Browser: https://gitlab.com/iucode-tool/iucode-tool/tree/debian/master
 
 Package: iucode-tool
-Architecture: i386 amd64
+Architecture: i386 amd64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: intel-microcode (>= 1)
 Description: Intel processor microcode tool
