=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	rm -fr autom4te.cache
 
 	rm -f Makefile.in aclocal.m4 Makefile
-	rm -f depcomp install-sh missing iucode_tool_config.h.in
+	rm -f compile depcomp install-sh missing iucode_tool_config.h.in
 
 	dh_clean
