## iucode-tool 1.6.1

=== debian/changelog ===
iucode-tool (1.6.1-1ubuntu0.1) yakkety-security; urgency=medium

  * SECURITY UPDATE: heap buffer overflow on -tr loader
    - debian/patches/CVE-2017-0357.patch: check al in intel_microcode.c.
    - CVE-2017-0357

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Jan 2017 14:01:13 -0500

iucode-tool (1.6.1-1) unstable; urgency=medium

  * New upstream release:
    + iucode_tool: append microcode bundles to linked list in O(1)
    + iucode_tool: stop allocating twice the required memory for a bundle
    + iucode_tool: don't close input files twice
      load_intel_microcode() would cause fds to be closed twice. iucode_tool
      is not multi-threaded and isn't otherwise affected by this bug, but
      unfortunately there is a free() call between the first and second
      close().  When running iucode_tool under some sort of malloc
      instrumentation insane enough to open file descriptiors on free()
      inside the instrumented process' context, or indirectly linked to a
      multi-threaded glibc module/plugin that could do the same, bad things
      could happen.
    + iucode_tool(8): update Linux notes for up to v4.6

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 05 Jun 2016 17:50:41 -0300

iucode-tool (1.6-1) unstable; urgency=medium

  * New upstream release:
    + iucode_tool: fix another downgrade+loose date filter corner case.
    + iucode_tool: warn of shadowed microcode in downgrade mode.
    + iucode_tool(8): document warning when downgrade mode fails.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 15 May 2016 10:08:05 -0300

iucode-tool (1.5.2-1) unstable; urgency=medium

  * New upstream release
    + Support mixed-stepping configurations in the default version of
      --scan-system (broken since iucode-tool 1.2-1)
    + README and manpage updates
  * debian/control: bump standards version (no changes required)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 30 Apr 2016 11:35:47 -0300
