## iucode-tool 2.1.1

=== debian/changelog ===
iucode-tool (2.1.1-1) unstable; urgency=high

  * New upstream release:
    + Fix heap buffer overflow on -tr loader (CVE-2017-0357)
  * debian/copyright: update for new upstream release

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 13 Jan 2017 10:36:00 -0200

iucode-tool (2.1-1) unstable; urgency=medium

  * New upstream release:
    + The early initramfs cpio archives created by iucode_tool are now
      deterministic.  Instead of the current system time, the date of
      the latest microcode included in the early initramfs will be used.
    + There is a new option to minimize the size of the early initramfs:
      --mini-earlyfw.  This option causes iucode_tool to create a non-
      standard cpio archive which is typically 736 bytes smaller.
      WARNING: the microcode data file might not be visible to the
      regular initramfs when this mode is used.
    + iucode-tool will now create valid early initramfs archives past
      year 2038.
    + Change the strategy to add defensive padding to the early-initramfs
      archive: add an empty directory entry to the cpio archive in order
      to force the correct 16-byte alignment for the microcode data by
      default.  For --mini-earlyfs, keep the old strategy of appending
      extra NULs to the end of the microcode data file name.
  * debian/control: correct build-depends versioning of autoconf, automake.
    Correct the minimum required versions of autoconf and automake, which
    were bumped by upstream version 2.0.
  * debian/compat, rules, control: modernize and enable full hardening
    + update debian/rules copyright date
    + switch to dh-based simplified debian/rules (debhelper v9)
    + opt-in to full hardening for PIE and bindnow
    As a side-effect, we now fully honor DEB_*_STRIP, etc.
  * debian/watch: add uscan watch file.
    Add a debian/watch uscan version 3 watchfile to automatically check the
    newest iucode-tool release tarball version, using the "latest" branch of
    the iucode/releases gitlab project.
  * debian/changelog: fix typos on older entires.
  * debian/copyright: switch to DEP-5 format.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 10 Nov 2016 23:27:52 -0200

iucode-tool (2.0-1) unstable; urgency=low

  * New upstream release:
    + This new major version has several non-backwards-compatible
      changes.  Scripts that scrape iucode_tool's stdout/stderr messages
      might have to be updated, and the behavior for -s and -S options
      changed.
      + The microcode listing output format used by --list and
        --list-all changed: the processor flags mask field is now
        labeled "pf_mask" instead of "pf mask", and the first field
        (bundle id/microcode id) is wider for --list-all, and completely
        changed for --list (refer to next entry).
      + The output for the --list option now uses the same microcode
        numbering used in --list-all and error messages, and also the
        same indentation as --list-all.  For this reason, --list will
        output the bundle assignment list to stdout when not in --quiet
        mode, the same way --list-all does.
      + The --scan-system/-S option can now only be specified once, and
        it may be overridden by -s !<signature> options that come
        +after* it in command line ordering.  To emulate the previous
        behavior, always specify --scan-system just once, and as the
        last option (i.e. after any -s options).
      + Error and warning messages, as well as some verbose (and debug)
        messages were updated, and some of them were demoted to higher
        verbosity levels.
    + Other relevant changes since v1.6.1:
      + Microcodes are now sorted by signature (ascending) and processor
        flags mask (descending).  Before, microcodes with the same
        signature but different processor flags mask had unspecified
        ordering.
      + The .dat format loader was optimized to run a lot faster on
        files that match the Intel layout exactly, and improved its
        error detection.
      + iucode_tool now flushes output data files to permanent storage
        using fdatasync() before closing them, to better detect write
        errors.  This causes a performance hit, but it is much safer.
      + Fix large file support (LFS) on 32-bit builds.
      + Abort with an error when attempting to write more than 4GiB to a
        cpio (early initramfs) archive, due to a limitation of that cpio
        file format.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 12 Sep 2016 20:17:39 -0300
