=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: iucode-tool
 Section: contrib/utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, automake (>= 1:1.10), autoconf (>= 2.61)
+Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
+Build-Depends: debhelper (>= 9), autotools-dev, automake (>= 1:1.11), autoconf (>= 2.69)
 Standards-Version: 3.9.8
 Homepage: https://gitlab.com/iucode-tool
 Vcs-Git: https://gitlab.com/iucode-tool/iucode-tool.git -b debian/master
