=== debian/watch ===
version=3
opts=\
downloadurlmangle=s#/blob/#/raw/# \
  https://gitlab.com/iucode-tool/releases/tree/latest \
  (?:.*/)iucode-tool_(.+)\.tar\.(?:xz|gz|bz2) debian
