## iucode-tool 2.1.2

=== debian/changelog ===
iucode-tool (2.1.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 18 Jun 2017 22:46:47 -0300

iucode-tool (2.1.2-1) experimental; urgency=medium

  * New upstream release:
    + iucode_tool: compare payloads of similar (not just duplicate) MCUs
    + iucode_tool: skip small files as if empty in the -tr loader
  * Target experimental due to the freeze for the Debian "stretch" release

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 15 Feb 2017 20:53:55 -0200
