## iucode-tool 2.3.1

=== debian/changelog ===
iucode-tool (2.3.1-3) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Feb 2023 20:51:49 +0100

iucode-tool (2.3.1-2) unstable; urgency=medium

  * Move source and binary from contrib/utils to utils:
    + Demote intel-microcode from Recommends to Suggests, since
      intel-microcode already depends on it the other way around.
    + Following the 2022 General Resolution about non-free firmware,
      intel-microcode is moving to non-free-firmware. Having iucode-tool
      in main makes it possible to have intel-microcode deployed on systems
      set up with only main and non-free-firmware.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 17 Feb 2023 01:39:39 +0100

iucode-tool (2.3.1-1) unstable; urgency=medium

  * New upstream bugfix release:
    + iucode_tool: fix filter by revision parser on i686

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 05 Feb 2018 22:42:31 -0200

iucode-tool (2.3-1) unstable; urgency=medium

  * New upstream release:
    + Support revision-based matching in microcode update filters
    + Support exact --scan-system as a runtime option (before, it was a
      compile-time option and disabled in Debian builds)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 28 Jan 2018 13:46:14 -0200

iucode-tool (2.2-1) unstable; urgency=medium

  * New upstream release:
    + README: update for mixed dat and bin Intel releases
    + README: add an example of microcode with multiple sigs
    + iucode_tool: fix microcode count when selecting extended signatures
    + build tooling changes
  * debian/docs: ship upstream NEWS file.
  * debian/control: build-depend on newer automake.
    Upstream now requires automake 1.13 or newer.
  * debian/copyright: add licenses for m4/
  * debian/copyright: use https for format URL
  * debian/{watch,upstream/signing-key.asc}: support upstream signature checking
  * debian/control: bump standards version to 4.1.0

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 28 Aug 2017 15:47:46 -0300
