=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: iucode-tool
-Section: contrib/utils
+Section: utils
 Priority: optional
 Maintainer: Henrique de Moraes Holschuh <hmh@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, automake (>= 1:1.11), autoconf (>= 2.69)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), autotools-dev, automake (>= 1:1.13), autoconf (>= 2.69)
+Standards-Version: 4.1.0
 Homepage: https://gitlab.com/iucode-tool
 Vcs-Git: https://gitlab.com/iucode-tool/iucode-tool.git -b debian/master
 Vcs-Browser: https://gitlab.com/iucode-tool/iucode-tool/tree/debian/master
@@ -11,7 +11,7 @@
 Package: iucode-tool
 Architecture: i386 amd64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: intel-microcode (>= 1)
+Suggests: intel-microcode (>= 1)
 Description: Intel processor microcode tool
  iucode_tool is a program to manipulate Intel® X86 and X86-64 processor
  microcode collections, and to use the kernel facilities to upgrade the
