=== debian/watch ===
version=4
opts="pgpmode=mangle, pgpsigurlmangle=s%$%.asc%, downloadurlmangle=s#/blob/#/raw/#" \
  https://gitlab.com/iucode-tool/releases/tree/latest \
  (?:.*/)iucode-tool_(.+)\.tar\.(?:xz|gz|bz2) debian
